rev 4395 - in trunk/packages/qt-x11-free/debian: . patches

Christopher Martin chrsmrtn at costa.debian.org
Fri Aug 25 01:43:55 UTC 2006


Author: chrsmrtn
Date: 2006-08-25 01:43:54 +0000 (Fri, 25 Aug 2006)
New Revision: 4395

Added:
   trunk/packages/qt-x11-free/debian/patches/20_hppa_FTBFS.dpatch
Modified:
   trunk/packages/qt-x11-free/debian/changelog
   trunk/packages/qt-x11-free/debian/patches/00list
Log:
Yay, a patch!


Modified: trunk/packages/qt-x11-free/debian/changelog
===================================================================
--- trunk/packages/qt-x11-free/debian/changelog	2006-08-24 16:00:21 UTC (rev 4394)
+++ trunk/packages/qt-x11-free/debian/changelog	2006-08-25 01:43:54 UTC (rev 4395)
@@ -1,3 +1,14 @@
+qt-x11-free (3:3.3.6-4) UNRELEASED; urgency=low
+
+  +++ Changes by Christopher Martin:
+
+  * Add a patch, courtesy of Steve Langasek, that fixes
+    qt-x11-free's longstanding intermittent FTBFS on hppa, caused
+    by "the bogus assumption in src/tools/qlocale.cpp that a
+    char[] can be cast to a double *." (Closes: #342545)
+
+ -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Thu, 24 Aug 2006 21:43:12 -0400
+
 qt-x11-free (3:3.3.6-3) unstable; urgency=low
 
   +++ Changes by Christopher Martin

Modified: trunk/packages/qt-x11-free/debian/patches/00list
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/00list	2006-08-24 16:00:21 UTC (rev 4394)
+++ trunk/packages/qt-x11-free/debian/patches/00list	2006-08-25 01:43:54 UTC (rev 4395)
@@ -15,6 +15,7 @@
 17_qlistview_crash_iterator
 18_fix_makeqpf_qembed
 19_qfontdatabase_hack
+20_hppa_FTBFS
 22_fix_ftbfs_amd64
 23_qtc_qclipboard_hack
 24_qtc_qscrollview

Added: trunk/packages/qt-x11-free/debian/patches/20_hppa_FTBFS.dpatch
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/20_hppa_FTBFS.dpatch	2006-08-24 16:00:21 UTC (rev 4394)
+++ trunk/packages/qt-x11-free/debian/patches/20_hppa_FTBFS.dpatch	2006-08-25 01:43:54 UTC (rev 4395)
@@ -0,0 +1,50 @@
+#! /bin/sh -e
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- qt.orig/src/tools/qlocale.cpp
++++ qt.patched/src/tools/qlocale.cpp
+@@ -122,13 +122,24 @@
+ #endif
+ 
+ // We can't rely on -NAN, since all operations on a NAN should return a NAN.
++static double be_neg_nan; 
++static double le_neg_nan;
+ static const unsigned char be_neg_nan_bytes[] = { 0xff, 0xf8, 0, 0, 0, 0, 0, 0 };
+ static const unsigned char le_neg_nan_bytes[] = { 0, 0, 0, 0, 0, 0, 0xf8, 0xff };
++static bool neg_nan_init = false;
++
+ static inline double negNan()
+ {
++    if (!neg_nan_init)
++    {
++        memcpy(&be_neg_nan,be_neg_nan_bytes,sizeof(be_neg_nan_bytes));
++        memcpy(&le_neg_nan,le_neg_nan_bytes,sizeof(le_neg_nan_bytes));
++        neg_nan_init = true;
++    }
+     return (ByteOrder == BigEndian ?
+-            *((const double *) be_neg_nan_bytes) :
+-            *((const double *) le_neg_nan_bytes));
++            be_neg_nan : 
++            le_neg_nan);
++            
+ }
+ 
+ // Sizes as defined by the ISO C99 standard - fallback




More information about the pkg-kde-commits mailing list